%global pkg_name        Atompub
%global pkg_version     0.2.2
%global rpm_pkg_version 0.2.2
%global rpm_pkg_release 1.n0i.4

Summary:       Atom Publishing Protocol implementation
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Atompub/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Accessor::Lvalue::Fast)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Perl6::Export::Attrs)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Local)
#BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(version)
BuildRequires: perl(XML::Atom::Service) >= 0.15.4

# missed
Requires: perl(Class::Accessor::Fast)
Requires: perl(Class::Accessor::Lvalue::Fast)
Requires: perl(Class::Data::Inheritable)


%description
The Atom Publishing Protocol (Atompub) is a protocol for publishing and
editing Web resources described at
 http://www.ietf.org/internet-drafts/draft-ietf-atompub-protocol-17.txt

Atompub implements client Atompub::Client and server Atompub::Server
for the protocol. XML formats used in the protocol are implemented in
XML::Atom and XML::Atom::Service.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
# requires internet conectivity
%{?_with_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue Oct 09 2007 Marius Feraru <altblue@n0i.net> - 0.2.2-1.n0i.4
- version 0.2.2

* Sun Oct 07 2007 Marius Feraru <altblue@n0i.net> - 0.2.1-1.n0i.3
- version 0.2.1

* Tue Oct 02 2007 Marius Feraru <altblue@n0i.net> - 0.2.0-1.n0i.2
- version 0.2.0

* Sat Sep 29 2007 Marius Feraru <altblue@n0i.net> - 0.1.9-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.1.9
